## org.eclipse.emf.converter.ui
Class OpenWizardActionDelegate

    java.lang.Object
      org.eclipse.ui.actions.ActionDelegate
          org.eclipse.emf.converter.ui.OpenWizardActionDelegate

All Implemented Interfaces:
  IActionDelegate, IActionDelegate2, IEditorActionDelegate

Direct Known Subclasses:
  GenModelExportActionDelegate, GenModelReloadActionDelegate

    public abstract class OpenWizardActionDelegate

extends ActionDelegate
implements IEditorActionDelegate

This action just invokes an `IWizard` with an existing file. If this action is being contributed to an editor, we'll use its input as the file. Otherwise, we'll try to obtain it from the selection.

Since:
  2.2.0

Field Summary
`protected IFile` `file`
`protected boolean` `fixedFile`

Constructor Summary
`OpenWizardActionDelegate()`
`OpenWizardActionDelegate(IEditorPart editorPart)`

Method Summary
`protected abstract IWizard` `createWizard(IWorkbench workbench, Shell shell, IFile file)`
`void` `dispose()`
`void` `run(IAction action)`
`protected void` `run(IWorkbench workbench, Shell shell, IFile file)`
`void` `selectionChanged(IAction action, ISelection selection)`
`void` `setActiveEditor(IAction action, IEditorPart targetEditor)` This is only called when being used as an editor action delegate.

Methods inherited from class org.eclipse.ui.actions.ActionDelegate
`init, runWithEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fixedFile

    protected boolean fixedFile

### file

    protected IFile file

Constructor Detail

### OpenWizardActionDelegate

    public OpenWizardActionDelegate()

### OpenWizardActionDelegate

    public OpenWizardActionDelegate(IEditorPart editorPart)

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `IActionDelegate2`
  Overrides:
    `dispose` in class `ActionDelegate`

### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)

  Specified by:
    `selectionChanged` in interface `IActionDelegate`
  Overrides:
    `selectionChanged` in class `ActionDelegate`

### setActiveEditor

    public void setActiveEditor(IAction action,
                                IEditorPart targetEditor)

  This is only called when being used as an editor action delegate.

  Specified by:
    `setActiveEditor` in interface `IEditorActionDelegate`

### run

    public void run(IAction action)

  Specified by:
    `run` in interface `IActionDelegate`
  Overrides:
    `run` in class `ActionDelegate`

### run

    protected void run(IWorkbench workbench,
                       Shell shell,
                       IFile file)

### createWizard

    protected abstract IWizard createWizard(IWorkbench workbench,
                                            Shell shell,
                                            IFile file)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.